﻿.btn:hover {
    background-color: rgba(255, 255, 255, 0.1) !important;
    color: white;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out;
}

.btn:active {

}

.chat-card {
    background-color: var(--card-bg) !important;
    color: var(--text-color);
    margin-bottom: 2rem;
    padding-top: 10px;
    padding: 10px;
    margin-right: 35px;
    width: 100%;
    height: 75vh;
    overflow-y: auto;
    scroll-behavior: smooth;
    scrollbar-color: var(--user-bg) var(--card-bg);
    position: relative;
}
.chat-body {
    padding: 10px;
}

.chat-input-wrapper {
    position: sticky; /* bleibt immer sichtbar beim Scrollen */
    bottom: 20px; /* Abstand vom unteren Rand der ChatCard */
    display: flex;
    justify-content: center; /* horizontal mittig */
    width: 100%;
    z-index: 100; /* über den Nachrichten */
}


.chat-input .chat-input-control {
    width: 100%;
    display: flex;
    gap: 0.5rem;
    background-color: var(--chat-input-bg);
    color: black;
    border: 0.12rem solid white;
    border-radius: 0.8rem; /* wie Bootstrap default */
    padding: 0.5rem 0.75rem;
    backdrop-filter: blur(4px);
}

    .chat-input .chat-input-control:focus {
        border-color: var(--chat-input-border-focus);
        box-shadow: 0 0 0 0.2rem var(--chat-input-box-shadow);
    }

.triangle-right {
    position: relative;
    width: 0;
    height: 0;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    border-left: 25px solid var(--triangle-color); /* Außen-Dreieck */
    overflow: visible;
}

    .triangle-right::after {
        content: "";
        position: absolute;
        top: 50%;
        left: -25px;
        transform: translateY(-50%);
        width: 0;
        height: 0;
        border-top: 4px solid transparent;
        border-bottom: 4px solid transparent;
        border-left: 10px solid var(--inner-triangle); /* Innen-Dreieck */
    }

    .triangle-right .triangle-right-control:focus {
        border-color: white;
        box-shadow: 0 0 0 0.2rem rgba(255, 255, 255, 0.25);
        border-radius: 1rem;
    }

.plus {
    position: relative;
    border: 1px dotted var(--plus-border);
    width: 3px;
    height: 3px;
    background-color: var(--plus-bg);
    box-sizing: border-box;
    transform: scale(9);
    margin-right: 1rem;
}

.speech-bubble {
    position: relative;
    border-radius: .6em;
    padding-left: 12px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    width: fit-content;
    height: fit-content;
    max-width: 900px;
    text-align-last: left;
    margin-top: 45px;
}
    .speech-bubble.user {
        background: var(--user-bg) !important;
        margin-left: auto; /* schiebt rechts */
        text-align: right;
        margin-right: 1rem;
    }

    .speech-bubble.bot {
        background: var(--bot-bg) !important;
        margin-right: ; /* schiebt links */
        margin-left: 1rem;
    }

.wibo-icon {
    position: absolute;
    top: -10px; /* überlappt leicht */
    left: -10px; /* steht leicht links raus */
    z-index: 2; /* liegt über der Bubble */
}

.options-menu-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: transparent;
    z-index: 1000;
}

.options-menu {
    position: absolute;
    bottom: 60px;
    left: 2vh;
    background-color: var(--card-bg);
    border: 1px solid #ccc;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.40);
    padding: 10px;
    border-radius: 4px;
    width: fit-content;
    height: fit-content;
    z-index: 1001;
    backdrop-filter: blur(12px);
}

.profile-menu-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    width: 100vw;
    height: 100vh;
    background: transparent;
    z-index: 1000;
}

.profile-menu {
    position: fixed;
    top: 60px;
    right: 2vh;
    background-color: var(--card-bg);
    color: var(--text-color);
    border: 1px solid #ccc;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.40);
    padding: 10px;
    border-radius: 4px;
    width: 250px;
    z-index: 1001;
    backdrop-filter: blur(12px);
}

.side-bar {
    background-color: var(--sidebar-bg-color);
    width: 250px;
    overflow-x: hidden;
    transition: margin-left 0.6s ease;
    transform: translateX(0);
    overflow: hidden;
    position: relative;
    z-index: 1000;
}

.side-bar.collapsed {
    
    width: fit-content;
    margin-left: -5px;
}

    .side-bar.collapsed label {
        display: none;
    }

    .side-bar.collapsed nav > .nav-item > a,
    .side-bar.collapsed nav > .nav-item > div {
        justify-content: center;
    }

    .side-bar.collapsed img {
        margin: 0 auto;
        display: block;
    }